template("calc_hash") {
    forward_variables_from(invoker, [ "file_to_hash", "deps" ])

    out_file = "$root_out_dir/hash/" + rebase_path(file_to_hash, root_out_dir)  + ".hash"
    action(target_name) {
        command = "$tizen_core/tz hash "
        description = "HASH " + rebase_path(out_file, root_out_dir)
        args = [
            "--uri", rebase_path(file_to_hash, "$root_out_dir/$out_dir"),
            "--in", rebase_path(file_to_hash, root_out_dir),
            "--out", rebase_path(out_file, root_out_dir),
        ]
        sources = [ file_to_hash ]
        outputs = [ out_file ]
    }
}